# General and Specific Conditions of Services operated by the YunoHost project

01/02/2024

## Preamble

The YunoHost project is a team of volunteers who have made common cause to create a free operating system for servers, called YunoHost. YunoHost is published [under the GNU Affero General Public License v3](https://www.gnu.org/licenses/agpl-3.0.txt). In connection with this software, the project administers and makes available several technical and community services for various purposes.

By using these services, you agree to be bound by the following terms.

## Short version (TL;DR)

- **"This is a community project" clause**: you accept and respect the fact that the project is maintained by team of volunteers, and that volunteer time and energy are the driving force behind the project. You are welcome to contribute to the project, punctually or over time, in any way you choose (whether it's talking about it around you, giving us constructive feedback, helping others, saying hi, translating, testing, coding, donating, ...).
- **"We do what we can" clause**: You accept that the volunteer team does the best it can, and is not subject to any obligation of means or result. The project cannot be held responsible for any consequential damage if a service ceases to operate. The team may decide to stop a service at any time.
- **"We are not FAANGs" clause**: We try to minimize as much as possible the personal data that may transit, be stored on our infrastructure or be transferred to third parties. We publish the code that runs our services. We do not resell personal data. We only use data for internal, anonymized statistical purposes.
- **"We do not like toxic people" clause**: you must respect other members of the community by showing civic-mindedness, politeness and kindness.
- **"Free software is not about volunteers doing your bidding" clause**: messages that simply ask when a feature, fix or update will be available, that are intentionally or unintentionally insistent, without any form of politeness, benevolence or intention to contribute, are not welcome. If you would like a particular point to be addressed, ask yourself how you can contribute, or at the very least, speak kindly of it.
- **"We do not read crystal balls" clause**: the forum and support chat clearly state that in order to obtain help, it is necessary to provide basic information (hardware type, YunoHost version, ..), contextual elements and complete logs. Not doing so is extremely annoying for the volunteers trying to help you.
- **"We do not want to go to jail" clause**: you must respect the law (whether it's well-made or silly).
- **"Any abuse will be punished" clause**: technical or human abuse of the services may result in the closure of your accounts and the banning of access to some or all of the services, possibly without warning or negotiation.

## Distinction between YunoHost as a project, as a service, as software, and as distribution

This document details the TOS that apply **to the services provided by the YunoHost project**, but **not** to YunoHost as software **nor** to the applications offered in the YunoHost catalog.

YunoHost as software is released [under the AGPLv3 license](https://www.gnu.org/licenses/agpl-3.0.txt) and is therefore provided without warranty of any kind and is not liable for any damages resulting from its use, nor from the use of the applications it allows to install.

*If you use YunoHost to provide services to others, it is your responsibility to define and publish your own terms and conditions of use for your own services, and to inform yourself of any legal implications of the applications you install.*

## General and specific conditions of service

The YunoHost project reserves the right to update and modify these conditions. In this case, the YunoHost project will inform those concerned by posting a notice on the forum or, failing that, on the site.

A dated version history of these conditions can be found at <https://github.com/YunoHost/project-organization/commits/master/yunohost_project_tos.md>

## Services overview

The services administered and maintained by the project to date are:

- a public website, designed to present the project and provide documentation;
- hosting of installation scripts, images, packages and cryptographic keys for installing and updating YunoHost;
- a public community forum, to support each other and discuss problems or any other topic related to the project;
- a public application catalog, to present and vote for available applications, and an API for programs to retrieve this list;
- a pastebin service, for easy sharing of logs and other technical information;
- a free domain name service, designed to reduce friction for people who don't yet own a domain name, or who want a quick and easy solution in the context of YunoHost;
- self-diagnostic services used by YunoHost software to help users diagnose technical problems on their own;
- a freely, publicly available YunoHost demo server;
- other development and maintenance services.

In addition, the project depends on, uses, or encourages the use of services managed by third parties, such as:

- software blocks and automatic installation recipes (apps) hosted by third parties such as (non-exhaustive list) `github.com`, `npmjs.org`, `pypi.org`, `debian.org`, `sury.org`, ...
- several public community chat rooms using Matrix, XMPP and IRC protocols, hosted by third parties such as (non-exhaustive list) `matrix.org` and `libera.chat`;
- the Let's Encrypt certification authority;
- a donation interface, where payments are managed by Stripe and sent to Support Self-Hosting, the association that collects and manages donations;

It is your responsibility to consult the conditions of use of these third-party services.

## Access to services

### Geographic scope

The YunoHost project services are intended for all YunoHost users and contributors worldwide, as long as the regulations of their country do not contravene their use or provision.

### Permission to use services

Unless otherwise specified, use of the YunoHost project services is limited to use within the expected framework:

- discovering or using the YunoHost operating system
- contribution to the YunoHost project

Any other use (e.g. use in another distribution, creation of artificial intelligence, etc.) must be approved in advance by the YunoHost project, unless explicitly permitted in the service-specific conditions below.

### Account-based services and termination

The following functionalities are accessible via an account:

- forum posting ;
- voting for applications in the catalog (on `apps.yunohost.org`) ;
- reservation and management of dynamic domain names provided by the YunoHost project (`nohost.me`, `noho.st` and `ynh.fr`).

The forum account and the account managing your domain name can be terminated using the associated credentials.

## How it works

### Financial conditions

**All services are provided free of charge. Don't hesitate to support the YunoHost project by making a donation**.

### Troubleshooting

**In the event of an outage, and if there is no message on the forum confirming that the YunoHost project is in the process of correcting the outage, you are encouraged to report it via chat or the forum.**

The YunoHost project offers all these services thanks to volunteers who will do their best to resolve any technical problems that may arise. Volunteers are under no obligation to repair a broken service.

In the event of failure to fix a technical issue, the YunoHost project may decide to close the service.

### Fate of services

The YunoHost project does not guarantee that services will continue to operate forever, and may choose to discontinue services if the project feels it is no longer able to provide said services.

If the YunoHost project is able to do so, it will do its best to allow sufficient time for everyone to migrate or adapt serenely.

### YunoHost project responsibility

**Under no circumstances may a user claim damages or compensation resulting from technical problems of any kind whatsoever.**

The YunoHost project is not subject to any obligation (neither of means nor of result). In the event of failure or interruption of services, the YunoHost project cannot be held responsible for indirect damages such as loss of data, operating losses, commercial prejudice, loss of clientele, sales, profits or anticipated savings, or any other indirect prejudice.

In particular, the YunoHost project cannot be held liable if you have made vital interests dependent on its services.

## Misuse of services

**Any abuse may result in the closure of your accounts and the prohibition of access to all or part of the services**.

The YunoHost project reserves the right to take any measures it deems necessary to put an end to any abuse of its services. The YunoHost project is the sole judge of this notion of "abuse", with the aim of providing the best possible service to all users. The YunoHost project may decide to act without warning or negotiation.

### Illegal use of services

**The YunoHost project is not here to cover you and take legal risks on your behalf. Even if your action is legitimate, you are entirely responsible for what you do.**

You must abide by the laws and regulations in force when using the services offered by the YunoHost project (in particular the forum, chat, paste and domain name services), whether in terms of privacy, sending large quantities of e-mail, intellectual property, discriminatory comments, hate speech, harassment, infringement of people's fundamental freedoms, and so on.

In the event of prohibited use, the YunoHost project may be obliged to suspend all or part of the service, remove content, or take any other action required by law or regulation.

### Respect for the community and volunteers

You accept and respect the fact that the YunoHost project is a community project maintained by a volunteer team, and that volunteer time and energy are the driving force behind the project. You understand that project volunteers do their best, and that to abuse their time or energy is to sabotage the project.

You must respect other users and the project team by demonstrating civility, politeness and kindness. Any form of pressure, insistence, harassment or toxicity is prohibited. The YunoHost project reserves the right to ban you and delete any content that appears irrelevant or contravenes these principles, at its sole discretion and without prior warning.

In particular, the YunoHost project will be uncompromising whenever your behavior consumes too much of the energy of the project's regular contributors.

### Reasonable use

**Since services and resources are shared with the rest of the users, their use must be reasonable and take into account the shared aspect**.

If you abuse the service, for example by monopolizing shared machine resources, its content or access may be removed.

## Our commitments

### CHATONS Charter

**The YunoHost project's long-term aim is to respect the charter of the Collectif des Hébergeurs, Alternatifs, Transparents, Ouverts, Neutres et Solidaires (Collective of alternative, transparent, open, neutral and supportive hosting providers) as part of its service provision activities**.

Given its international scope, the YunoHost project is not currently a candidate for membership of this collective. However, members of the C.H.A.T.O.N.S collective are currently using YunoHost.

For more information on the C.H.A.T.O.N.S. charter: <https://chatons.org/charte>

### Respect for your personal data and privacy

We try to minimize as much as possible the personal data that may transit, be stored on our infrastructure or be transferred to third parties.

The YunoHost project prohibits any resale or transfer of personal data to third parties.

Below are details of the personal data that may be transferred or stored on YunoHost services:

- technical information (IP, User agent) used to interact with the services. This information is used to provide the service, to ensure its maintenance and security, and to create very basic aggregated statistics.
- e-mail address and pseudonym used on the forum
- personal information contained in messages exchanged via the forum or chat room
- personal information included in domain names provided by the project
- information contained in logs that you have shared via the dedicated tool
- banking and personal information relating to donations made via Stripe or Liberapay.

Unless otherwise specified in the specific conditions, these data are located in Paris, Strasbourg and Toulouse.

For further information, please refer to the specific conditions of service.

### Exercising your rights

In accordance with Article 34 of the French Data Protection Act, you may exercise the following rights by sending an e-mail to `data AT yunohost.org` :

- rights of access, rectification, deletion and opposition
- right to data processing limitation
- right to data portability
- right not to be the subject of an automated individual decision

### GDPR

The YunoHost project undertakes, with respect to the services it makes available, to comply with the regulations in force applicable to the processing of personal data and, in particular, Regulation (EU) 2016/679 of the European Parliament and of the Council of April 27, 2016 applicable as of May 25, 2018, known as the GDPR.

Nevertheless this does not mean in any way that *YunoHost software*, nor the applications offered for installation, would be certified with any GDPR compliance (whatever that may mean for you).

## Disputes and jurisdiction

The law applicable to the present contract is French law. In the event of a dispute, the parties shall seek an amicable solution. If this fails, the dispute will be settled by the Tribunal de Grande Instance de Toulouse (FRANCE).

The fact that the user or the YunoHost project does not take advantage at a given time of one of the present general conditions and/or tolerates a breach by the other party may not be interpreted as a renunciation by the user or the YunoHost project to take advantage of these conditions at a later date.

The nullity of one of the clauses of these conditions in application of a law, regulation or court decision does not imply the nullity of all the other clauses. Furthermore, the general spirit of the clause must be maintained in accordance with the applicable law.

---

## Specific Conditions of Services

### Website and documentation

#### Service address

`yunohost.org`

#### Contribution

If you find an error, don't hesitate to suggest a correction, via the "Edit" button (requires a GitHub account) or via a message on the forum.

#### Personal data

To the best of our knowledge, none of the pages on this website contain trackers.

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Donations

#### Service address

`donate.yunohost.org`

#### Stop recurring donation

To stop your recurring donation, please send an email to `donate-5542 AT yunohost.org` and indicate the information that will identify your donation (email used, name, amount).

#### Personal data

To provide this service, the Support Self-Hosting association uses Stripe as its payment infrastructure.

It is necessary to use a credit card and your identity, but these data are not stored, or even transit, through the YunoHost project infrastructure, except in emails exchanged as part of a recurring donation cancellation.

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Installation media (ISO image, ARM, installation script, etc.)

You use this service in 2 situations:

- installing or restoring YunoHost
- (rarer) to install, update or restore an app whose binary is not supplied by its publisher and whose compilation on your own machine is deemed too long or too resource-intensive.

#### Service address

`build.yunohost.org`

#### Personal data

As with any web service, a technical log exists recording the IP and User Agent of requests.

### IP

This service is used automatically by your YunoHost instances to determine their public IPs, enabling you to automate and diagnose certain operations.

#### Service addresses

`ip.yunohost.org` and `ip6.yunohost.org` addresses

#### Free access service

Exceptionally, the public IP retrieval service can be used in other contexts, as long as the load induced is minimal relative to that of YunoHost.

#### Personal data

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Free and dynamic domain names

This is the service used if you request a domain name ending in `nohost.me`, `noho.st` or `ynh.fr` in the YunoHost interface.

#### Service addresses

`dyndns.yunohost.org`, `dynette.yunohost.org`, `ns0.yunohost.org`, `ns1.yunohost.org`.

#### Usage limits

This service is offered within the limit of one domain per YunoHost server (although it is possible to configure sub-domains of this domain). If abuse is detected (e.g. creation of too many domains from the same machine or IP, or large-scale automated creation), the project reserves the right to delete the domains concerned without warning.

#### Automatic deletion

The YunoHost project reserves the right to delete a domain if no server appears to be associated with it and the IP address has not been updated for 1 year.

#### Termination

You can delete your domain using the password you chose when you created it.

#### Personal data

If your name contains personal data, these will inevitably end up on the servers running the service.

Note that, in order to function, this service necessarily stores and transmits your server's public IP addresses.

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Diagnostics

This service automatically tests whether your services seem to be correctly exposed on the Internet, and thus independently resolves network configuration problems.

This service is used automatically twice a day, as soon as you activate the diagnostics feature.

#### Service address

`diagnosis.yunohost.org`

#### Usage limits

Due to the resource consumption involved, the diagnosis service is limited to 60 domains to be diagnosed per request.

If you exceed this limit, the project recommends that you diagnose your domains yourself.

#### Personal data

To operate, this service transmits the domain names and ports to be diagnosed. Any personal data contained in the domain names is therefore also transferred, but not stored.

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Application catalog

This service lets you browse (via a browser or program) the list of applications available for installation in YunoHost. It also allows you to vote for apps to direct contribution efforts.

In addition, servers running YunoHost automatically retrieve the application catalog once a day.

#### Service addresses

`apps.yunohost.org` and `app.yunohost.org`.

#### Service misuse

Any attempt to falsify votes on catalog or wishlist apps will be considered abuse and may be subject to cancellation, banning and account deletion.

#### Personal data

To participate in the popularity of apps, you need to use your forum account. See Forum service.

The storage of your votes is linked to your forum identity.

As with any web service, a technical log exists recording the IP and User Agent of requests.

#### Statistics

In order to size our services and plan new releases, we use the technical download logs from the list of apps to estimate the number of YunoHost instances running in the wild, and the ratio of major releases.

### Debian package repository

This is the channel through which updates to YunoHost as software are made available. The YunoHost project also maintains builds of some software components on which YunoHost depends or on the periphery of the project.

#### Service address

`forge.yunohost.org`

#### Permission to create mirror repositories

It is allowed (and even encouraged) to create mirror repositories of YunoHost's Debian package repository.

#### Personal data

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Tickets and contributions to the code

As it stands, development, bug reports and feature requests take place on the repositories of the "YunoHost" and "YunoHost-Apps" organizations on the GitHub platform.

#### Respect for volunteers

We can only re-emphasize what has already been mentioned in the 'Respect for the community and volunteers' section above: the project is maintained by a volunteer team, volunteer time and energy is the driving force behind the project, and volunteers do their best. You're welcome to contribute to the project (and if necessary to ask questions about how to contribute) to the team.

On the other hand, abusing their time or energy is tantamount to sabotaging the project. In particular, YunoHost is *not* a community of volunteers at your command regarding priorities for patches, features or updates, either for YunoHost as software, or for the catalog of applications maintained by the project. Volunteers do not promise support, fixes, features or updates, nor do they provide estimates of "when" a feature, fix or update will be available. Messages that simply ask when a feature, fix or update will be available, without any form of politeness, benevolence or intention to contribute, are not welcome and undermine volunteer morale. Any abuse may be punished by a ban from the project's GitHub organizations, or even from all project services.

### Paste

This service is used to share logs of operations carried out with YunoHost to enable the study and resolution of problems.

#### Service address

`paste.yunohost.org`

#### Personal data

The logs you share may contain personal information or, in the worst case, secrets that could compromise the security of part or all of your server. Upon publication, YunoHost software automatically tries to remove this information as best it can. Nevertheless, the system is far from being perfect, and it is your responsibility to re-read the information before sharing the generated link with others.

As with any web service, a technical log exists recording the IP and User Agent of requests.

### Self-help forum (and chat)

#### Service address

`forum.yunohost.org` and chats listed on <https://yunohost.org/chat_rooms>

#### Asking for help

The self-help forum and chat clearly state (e.g. [here](https://yunohost.org/en/help-me), [here](https://forum.yunohost.org/t/asking-for-support-demander-de-laide/7795) and [here](https://forum.yunohost.org/t/how-to-get-help-efficiently-comment-obtenir-de-laide-efficacement/27)) that in order to get help, it is **necessary** to provide basic information (hardware type, YunoHost version), background information and full logs. Not doing so is extremely annoying for the people trying to help you, especially as we strive to make sharing this information as simple as possible. In addition, it is counter-productive because it wastes everyone's time: nobody can solve a problem that is not diagnosable.

If these rules are not respected, the team reserves the right to close your topic without notice.

#### Personal data

The forum allows you to enter personal information (email, GitHub account, nickname). From the forum interface, you can modify or delete this information.

As with any web service, a technical log records the IP and User Agent of requests. In addition, the forum may send or receive e-mails, which are also logged.

#### Location

Paris

### Demo service

#### Service address

`demo.yunohost.org`

#### Purpose and operation

This service allows you to test YunoHost's interfaces (webadmin and user portal) to get a feel for YunoHost without installing it. The data on this server is destroyed and reset approximately every 30 minutes.

#### Personal data

As with any web service, a technical log exists recording the IP and User Agent of requests.
